package de.mlessmann.certassist.repositories;

import static org.assertj.core.api.Assertions.assertThat;

import de.mlessmann.certassist.models.CertificateSubjectPreset;
import jakarta.transaction.Transactional;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

@SpringBootTest
class CertificateSubjectPresetRepositoryTest {

    @Autowired
    private CertificateSubjectPresetRepository repository;

    @Test
    @Transactional
    void findCertificateSubjectPreset() {
        final CertificateSubjectPreset certificateSubjectPreset = new CertificateSubjectPreset();
        certificateSubjectPreset.setCountry("DE");
        repository.save(certificateSubjectPreset);

        assertThat(repository.findById(certificateSubjectPreset.getId()).orElseThrow().getCountry()).isEqualTo("DE");
    }
}
